#pragma once

#include "HLabDTWRecogConfig.h"

#include "HLabPhoneList.h"
#include "HLabDict.h"
#include "HLabControl.h"
#include "HLabTranscription.h"
#include "HLabDTW.h"
#include "HLabFeat.h"

class CHLabDTWRecog
{
	CHLabDTWRecogConfig     m_compMVConfig;
	CHLabPhoneList     m_phoneList;
	CHLabDict          m_dict;
	CHLabControl       m_control;
	CHLabTranscription m_transcription;
	int                m_iNumRef;

	//
	//
	// test and the reference feat
	//
	CHLabFeat*         m_pRefFeat;
	CHLabFeat          m_testFeat;

	CHLabDTW*          m_pDTW;
	int*               m_piActiveList;

	

public:
	CHLabDTWRecog(void);
	
	int ParseCommandLine(int argc, char** argv);

	int Init(void);

	int Run(void);

	int ReadingRef(void);

	virtual ~CHLabDTWRecog(void);
};
