#pragma once

#include "HLabConfig.h"

class CHLabDTWRecogConfig :
	public CHLabConfig
{
	const char* m_pszInputFile;
	float       m_fPruneTH;

	static arg_t m_defn[];
public:
	CHLabDTWRecogConfig(void);
	virtual ~CHLabDTWRecogConfig(void);

	int ParseCommandLine(int argc, char** argv);

	inline const char* GetInputFile()
	{
		return m_pszInputFile;
	}

	inline float GetPruneTH()
	{
		return m_fPruneTH;
	}


};
