#pragma once

#include <iostream>
#include <map>
#include <string>
#include <vector>

#include "HLabConst.h"

#ifdef WIN32
	#if defined _USRDLL 
		#define DllExport _declspec(dllexport)
	#else
		#define DllExport _declspec(dllimport)
	#endif 
#else
	#define DllExport
#endif


class DllExport CHLabControl
{
	int m_iLen;

public:
	std::vector<std::string> m_vecControl;

	CHLabControl(void);
	~CHLabControl(void);

	int ReadControlFile(const char* szFileName);
	int ListControl(void);

	inline int GetLen(void)
	{
		return m_iLen;
	}
};
