#pragma once

#include "HLabViterbiTrainingConfig.h"
#include "HLabFeat.h"
#include "HLabPhoneList.h"
#include "HLabDict.h"
#include "HLabControl.h"
#include "HLabTranscription.h"
#include "HLabHMM.h"
#include "HLabViterbiAlignment.h"
#include "HLabAccum.h"


class CHLabViterbiTraining
{

	CHLabViterbiTrainingConfig m_viterbiTrainingConfig;
	CHLabPhoneList             m_phoneList;
	CHLabDict                  m_dict;
	CHLabControl               m_control;
	CHLabTranscription         m_transcription;
	CHLabHMM*                  m_pHMM;
	CHLabAccum*                m_pAccum;
	CHLabViterbiAlignment      m_viterbiAlignment;


public:
	CHLabViterbiTraining(void);
	virtual ~CHLabViterbiTraining(void);

	


	 /**
      * Init
      * 
      * @param 
      * @return 
      */

	int Init(void);

	 /**
      * Run
      * 
      * @param 
      * @return 
      */
	int Run(void);

	 /**
      * ParseCommandLine
      * 
      * @param 
      * @return 
      */
	int ParseCommandLine(int argc, char** argv);

};
