#pragma once

#ifdef WIN32
	#if defined _USRDLL 
		#define DllExport _declspec(dllexport)
	#else
		#define DllExport _declspec(dllimport)
	#endif 
#else
	#define DllExport
#endif

class DllExport CHLabAccum
{
	
public:

	float** m_ppfSum;
	float** m_ppfSqSum;
	int*   m_piCount;
	int*   m_piToCurrent;
	int*   m_piToNext;
	int*   m_piToNextNext;
	int    m_iDim;
	int    m_iNUmStates;

	

	int Init(int iDim, int iNumStates, const char* pszName);

	CHLabAccum(void);

	int ZeroAccum(void);
	virtual ~CHLabAccum(void);

	int MeanVar(float* fMean, float* fVar, int i, int j);
	int TransProb(float* fToCurrent, 
		          float* fToNext,
			      float* fToNextNext, int i);
  
};
