#include "HLabControl.h"

CHLabControl::CHLabControl(void) :
	m_iLen(0)
{
}

CHLabControl::~CHLabControl(void)
{
}

int CHLabControl::ReadControlFile(const char* szFileName)
{
	FILE* pFile = NULL;

	if (szFileName == NULL)
	{
		fprintf(stderr, "[FATAL], Phone Filename has not been set\n");

		exit (0);
	}

	pFile = fopen(szFileName, "rb");

	

	if (pFile == NULL)
	{
		fprintf(stderr, "[FATAL], File cannot be opened.\n");

		exit (0);
	}


	char  acBuffer[MAX_LINE];
	m_iLen = 0;

	while (fscanf(pFile, "%s", acBuffer) == 1)
	{
	
		m_vecControl.push_back(acBuffer);

		m_iLen++;
	}


	return (m_iLen);
}

int CHLabControl::ListControl(void)
{
	std::vector<std::string>::iterator  itr;

	for (itr = m_vecControl.begin(); itr <  m_vecControl.end(); itr++)
	{
		std::cout << *itr << std::endl;
	}

	return (0);
}