#include "HLabUnifConfig.h"

CHLabUnifConfig::CHLabUnifConfig(void)
{
}

CHLabUnifConfig::~CHLabUnifConfig(void)
{
}


arg_t CHLabUnifConfig::m_defn[] = 
{
	{"-phnlstfn",
	ARG_STRING,
	NULL,
	"PHoNe LiST File Name"},

	{"-dictfn",
	ARG_STRING,
	NULL,
	"DICTionary File Name"},

	{"-featext",
	ARG_STRING,
	"mfc",
	"Feature extention"},

	{"-featdir",
	ARG_STRING,
	NULL,
	"Feature directory"},

	{"-featlen",
	ARG_INT32,
	"13",
	"feature vector length"
	},

	{"-ctlfn",
	ARG_STRING,
	NULL,
	"Control File Name"},

	
	{"-bufferdir",
	ARG_STRING,
	NULL,
	"Buffer directory name"},

	{"-numstates",
	ARG_INT32,
	"3",
	"Number of states per HMM"},

	
	{"-modeldir",
	ARG_STRING,
	NULL,
	"Model directory name"},

	{"-lsnfn",
	ARG_STRING,
	NULL,
	"Transcription File Name (Format should be in NIST Lexical Standard Normal Orthographic Representation (LSN))"},

	{ NULL, 0,  NULL, NULL }
};



int CHLabUnifConfig::ParseCommandLine(int argc, char** argv)
{
	print_appl_info(argv[0]);

	cmd_ln_appl_enter(argc, argv, "default.arg", m_defn);


	m_pszPhoneFile         = cmd_ln_str("-phnlstfn");
	m_pszDictFile          = cmd_ln_str("-dictfn");
	m_pszControlFile       = cmd_ln_str("-ctlfn");
	m_pszLSNFile           = cmd_ln_str("-lsnfn");
	m_pszFeatDir           = cmd_ln_str("-featdir");
	m_pszFeatExt           = cmd_ln_str("-featext");
	m_iFeatLen             = cmd_ln_int32("-featlen");

	m_pszBufferDir         = cmd_ln_str("-bufferdir");
	m_pszModelDir          = cmd_ln_str("-modeldir");
	m_iNumStatesPerHMM     = cmd_ln_int32("-numstates");
	
	print_appl_info(argv[0]);

	return (0);
}